Changeset 2970


Ignore:
Timestamp:
Oct 15, 2013 9:53:06 AM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2906 r2970  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18541851
    18551852# Get the name of the C compiler
    1856 case $build in
     1853
     1854
     1855  # for backward compatibility
     1856  # Check whether --enable-doscompile or --disable-doscompile was given.
     1857if test "${enable_doscompile+set}" = set; then
     1858  enableval="$enable_doscompile"
     1859  enable_doscompile=$enableval
     1860else
     1861  enable_doscompile=no
     1862fi;
     1863
     1864  # Check whether --enable-msvc or --disable-msvc was given.
     1865if test "${enable_msvc+set}" = set; then
     1866  enableval="$enable_msvc"
     1867  enable_msvc=$enableval
     1868else
     1869  enable_msvc=no
     1870     if test "$enable_doscompile" = msvc ; then
     1871       enable_msvc=yes
     1872     elif test "$enable_doscompile" != no ; then
     1873       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1874echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1875   { (exit 1); exit 1; }; }
     1876     fi
     1877
     1878fi;
     1879
     1880  if test "$enable_msvc" = yes; then
     1881    case $build in
     1882      *-cygwin* | *-mingw*) ;;
     1883      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1884echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1885   { (exit 1); exit 1; }; } ;;
     1886    esac
     1887  fi
     1888
     1889
     1890 case $build in
    18571891  *-mingw*)
    18581892    if test "${LD+set}" = set; then :; else
     
    18611895    ;;
    18621896 esac
    1863  case $enable_doscompile in
    1864    msvc)
    1865      if test "x${LD+set}" = xset; then :; else
    1866        LD=link
    1867      fi
    1868      ;;
    1869  esac
    1870 
    1871 
    1872  # Check whether --enable-doscompile or --disable-doscompile was given.
    1873 if test "${enable_doscompile+set}" = set; then
    1874   enableval="$enable_doscompile"
    1875   if test "$enable_doscompile" != no; then
    1876      case $build in
    1877        *-cygwin* | *-mingw*) ;;
    1878        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1879 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1897 if test $enable_msvc = yes ; then
     1898   if test "x${LD+set}" = xset; then :; else
     1899     LD=link
     1900   fi
     1901 fi
     1902
     1903
     1904# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1905if test "${enable_static_standardlibs+set}" = set; then
     1906  enableval="$enable_static_standardlibs"
     1907  case "$enableval" in
     1908     no | yes | auto ) ;;
     1909     *)
     1910       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1911echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    18801912   { (exit 1); exit 1; }; } ;;
    1881      esac
    1882    fi
    1883 else
    1884   enable_doscompile=no
     1913   esac
     1914   use_static_standardlibs=$enableval
     1915else
     1916  use_static_standardlibs=no
    18851917fi;
    1886  case "$enable_doscompile" in
    1887    mingw)
    1888      case $build in
    1889        *-mingw*) enable_doscompile=no ;;
    1890      esac
    1891      ;;
    1892    msvc|no) ;;
    1893    yes) enable_doscompile=mingw ;;
    1894    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1895                     Try configure --help=recursive." >&5
    1896 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&2;}
    1898    { (exit 1); exit 1; }; }
    1899       ;;
    1900   esac
    1901   if test "$enable_doscompile" != no ; then
    1902     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1903 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1904   fi
     1918
    19051919
    19061920
     
    19451959case $build in
    19461960  *-cygwin* | *-mingw*)
    1947              if test "$enable_doscompile" = msvc ; then
    1948                comps="icl cl"
     1961             if test "$enable_msvc" = yes ; then
     1962               comps="icl cl gcc"
    19491963             else
    1950                comps="gcc cl"
     1964               comps="gcc icl cl"
    19511965             fi ;;
    19521966  *-*-solaris*)
     
    28012815            ;;
    28022816        esac
    2803         case $enable_doscompile in
    2804           mingw)
    2805             CFLAGS="-mno-cygwin"
    2806             cat >conftest.$ac_ext <<_ACEOF
    2807 /* confdefs.h.  */
    2808 _ACEOF
    2809 cat confdefs.h >>conftest.$ac_ext
    2810 cat >>conftest.$ac_ext <<_ACEOF
    2811 /* end confdefs.h.  */
    2812 
    2813 int
    2814 main ()
    2815 {
    2816 int i=0; i++;
    2817   ;
    2818   return 0;
    2819 }
    2820 _ACEOF
    2821 rm -f conftest.$ac_objext conftest$ac_exeext
    2822 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2823   (eval $ac_link) 2>conftest.er1
    2824   ac_status=$?
    2825   grep -v '^ *+' conftest.er1 >conftest.err
    2826   rm -f conftest.er1
    2827   cat conftest.err >&5
    2828   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2829   (exit $ac_status); } &&
    2830          { ac_try='test -z "$ac_c_werror_flag"
    2831                          || test ! -s conftest.err'
    2832   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2833   (eval $ac_try) 2>&5
    2834   ac_status=$?
    2835   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2836   (exit $ac_status); }; } &&
    2837          { ac_try='test -s conftest$ac_exeext'
    2838   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2839   (eval $ac_try) 2>&5
    2840   ac_status=$?
    2841   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2842   (exit $ac_status); }; }; then
    2843   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2844 else
    2845   echo "$as_me: failed program was:" >&5
    2846 sed 's/^/| /' conftest.$ac_ext >&5
    2847 
    2848 fi
    2849 rm -f conftest.err conftest.$ac_objext \
    2850       conftest$ac_exeext conftest.$ac_ext
    2851             CFLAGS=
    2852           ;;
    2853         esac
    28542817    esac
    28552818  fi
     
    30423005    CFLAGS="$OPT_CFLAGS"
    30433006  fi
     3007
    30443008else
    30453009  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31923156  clang* ) ;;
    31933157  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3194     case $build in
     3158
     3159 case $build in
    31953160  *-mingw*)
    31963161    if test "${LD+set}" = set; then :; else
     
    31993164    ;;
    32003165 esac
    3201  case $enable_doscompile in
    3202    msvc)
    3203      if test "x${LD+set}" = xset; then :; else
    3204        LD=link
    3205      fi
    3206      ;;
    3207  esac
     3166 if test $enable_msvc = yes ; then
     3167   if test "x${LD+set}" = xset; then :; else
     3168     LD=link
     3169   fi
     3170 fi
    32083171
    32093172    ;;
    32103173esac
     3174
     3175# check whether to add flags for static linking against standard libraries to LDFLAGS
     3176if test x$use_static_standardlibs != xno ; then
     3177  case $build in
     3178    *-mingw*)
     3179      static_standardlib_flag=-static
     3180      ;;
     3181    *)
     3182      static_standardlib_flag=-static-libgcc
     3183      ;;
     3184  esac
     3185  case " $LDFLAGS " in
     3186    *" $static_standardlib_flag "* ) ;;
     3187    *)
     3188    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3189echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3190    coin_save_LDFLAGS="$LDFLAGS"
     3191    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3192    cat >conftest.$ac_ext <<_ACEOF
     3193/* confdefs.h.  */
     3194_ACEOF
     3195cat confdefs.h >>conftest.$ac_ext
     3196cat >>conftest.$ac_ext <<_ACEOF
     3197/* end confdefs.h.  */
     3198
     3199int
     3200main ()
     3201{
     3202int i=0;
     3203  ;
     3204  return 0;
     3205}
     3206_ACEOF
     3207rm -f conftest.$ac_objext conftest$ac_exeext
     3208if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3209  (eval $ac_link) 2>conftest.er1
     3210  ac_status=$?
     3211  grep -v '^ *+' conftest.er1 >conftest.err
     3212  rm -f conftest.er1
     3213  cat conftest.err >&5
     3214  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3215  (exit $ac_status); } &&
     3216         { ac_try='test -z "$ac_c_werror_flag"
     3217                         || test ! -s conftest.err'
     3218  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3219  (eval $ac_try) 2>&5
     3220  ac_status=$?
     3221  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3222  (exit $ac_status); }; } &&
     3223         { ac_try='test -s conftest$ac_exeext'
     3224  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3225  (eval $ac_try) 2>&5
     3226  ac_status=$?
     3227  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3228  (exit $ac_status); }; }; then
     3229  echo "$as_me:$LINENO: result: yes" >&5
     3230echo "${ECHO_T}yes" >&6
     3231else
     3232  echo "$as_me: failed program was:" >&5
     3233sed 's/^/| /' conftest.$ac_ext >&5
     3234
     3235echo "$as_me:$LINENO: result: no" >&5
     3236echo "${ECHO_T}no" >&6
     3237       LDFLAGS="$coin_save_LDFLAGS"
     3238       if test $use_static_standardlibs = yes ; then
     3239         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3240echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3241   { (exit 1); exit 1; }; }
     3242       fi
     3243
     3244fi
     3245rm -f conftest.err conftest.$ac_objext \
     3246      conftest$ac_exeext conftest.$ac_ext
     3247    ;;
     3248  esac
     3249fi
    32113250
    32123251ac_ext=c
     
    50675106*-*-irix6*)
    50685107  # Find out which ABI we are using.
    5069   echo '#line 5069 "configure"' > conftest.$ac_ext
     5108  echo '#line 5108 "configure"' > conftest.$ac_ext
    50705109  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50715110  (eval $ac_compile) 2>&5
     
    66666705
    66676706# Provide some information about the compiler.
    6668 echo "$as_me:6668:" \
     6707echo "$as_me:6707:" \
    66696708     "checking for Fortran 77 compiler version" >&5
    66706709ac_compiler=`set X $ac_compile; echo $2`
     
    77337772   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77347773   -e 's:$: $lt_compiler_flag:'`
    7735    (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
     7774   (eval echo "\"\$as_me:7774: $lt_compile\"" >&5)
    77367775   (eval "$lt_compile" 2>conftest.err)
    77377776   ac_status=$?
    77387777   cat conftest.err >&5
    7739    echo "$as_me:7739: \$? = $ac_status" >&5
     7778   echo "$as_me:7778: \$? = $ac_status" >&5
    77407779   if (exit $ac_status) && test -s "$ac_outfile"; then
    77417780     # The compiler can only warn and ignore the option if not recognized
     
    80018040   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80028041   -e 's:$: $lt_compiler_flag:'`
    8003    (eval echo "\"\$as_me:8003: $lt_compile\"" >&5)
     8042   (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
    80048043   (eval "$lt_compile" 2>conftest.err)
    80058044   ac_status=$?
    80068045   cat conftest.err >&5
    8007    echo "$as_me:8007: \$? = $ac_status" >&5
     8046   echo "$as_me:8046: \$? = $ac_status" >&5
    80088047   if (exit $ac_status) && test -s "$ac_outfile"; then
    80098048     # The compiler can only warn and ignore the option if not recognized
     
    81058144   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81068145   -e 's:$: $lt_compiler_flag:'`
    8107    (eval echo "\"\$as_me:8107: $lt_compile\"" >&5)
     8146   (eval echo "\"\$as_me:8146: $lt_compile\"" >&5)
    81088147   (eval "$lt_compile" 2>out/conftest.err)
    81098148   ac_status=$?
    81108149   cat out/conftest.err >&5
    8111    echo "$as_me:8111: \$? = $ac_status" >&5
     8150   echo "$as_me:8150: \$? = $ac_status" >&5
    81128151   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81138152   then
     
    1045010489  lt_status=$lt_dlunknown
    1045110490  cat > conftest.$ac_ext <<EOF
    10452 #line 10452 "configure"
     10491#line 10491 "configure"
    1045310492#include "confdefs.h"
    1045410493
     
    1055010589  lt_status=$lt_dlunknown
    1055110590  cat > conftest.$ac_ext <<EOF
    10552 #line 10552 "configure"
     10591#line 10591 "configure"
    1055310592#include "confdefs.h"
    1055410593
     
    1289412933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289512934   -e 's:$: $lt_compiler_flag:'`
    12896    (eval echo "\"\$as_me:12896: $lt_compile\"" >&5)
     12935   (eval echo "\"\$as_me:12935: $lt_compile\"" >&5)
    1289712936   (eval "$lt_compile" 2>conftest.err)
    1289812937   ac_status=$?
    1289912938   cat conftest.err >&5
    12900    echo "$as_me:12900: \$? = $ac_status" >&5
     12939   echo "$as_me:12939: \$? = $ac_status" >&5
    1290112940   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290212941     # The compiler can only warn and ignore the option if not recognized
     
    1299813037   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299913038   -e 's:$: $lt_compiler_flag:'`
    13000    (eval echo "\"\$as_me:13000: $lt_compile\"" >&5)
     13039   (eval echo "\"\$as_me:13039: $lt_compile\"" >&5)
    1300113040   (eval "$lt_compile" 2>out/conftest.err)
    1300213041   ac_status=$?
    1300313042   cat out/conftest.err >&5
    13004    echo "$as_me:13004: \$? = $ac_status" >&5
     13043   echo "$as_me:13043: \$? = $ac_status" >&5
    1300513044   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300613045   then
     
    1456814607   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456914608   -e 's:$: $lt_compiler_flag:'`
    14570    (eval echo "\"\$as_me:14570: $lt_compile\"" >&5)
     14609   (eval echo "\"\$as_me:14609: $lt_compile\"" >&5)
    1457114610   (eval "$lt_compile" 2>conftest.err)
    1457214611   ac_status=$?
    1457314612   cat conftest.err >&5
    14574    echo "$as_me:14574: \$? = $ac_status" >&5
     14613   echo "$as_me:14613: \$? = $ac_status" >&5
    1457514614   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457614615     # The compiler can only warn and ignore the option if not recognized
     
    1467214711   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467314712   -e 's:$: $lt_compiler_flag:'`
    14674    (eval echo "\"\$as_me:14674: $lt_compile\"" >&5)
     14713   (eval echo "\"\$as_me:14713: $lt_compile\"" >&5)
    1467514714   (eval "$lt_compile" 2>out/conftest.err)
    1467614715   ac_status=$?
    1467714716   cat out/conftest.err >&5
    14678    echo "$as_me:14678: \$? = $ac_status" >&5
     14717   echo "$as_me:14717: \$? = $ac_status" >&5
    1467914718   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468014719   then
     
    1687916918   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688016919   -e 's:$: $lt_compiler_flag:'`
    16881    (eval echo "\"\$as_me:16881: $lt_compile\"" >&5)
     16920   (eval echo "\"\$as_me:16920: $lt_compile\"" >&5)
    1688216921   (eval "$lt_compile" 2>conftest.err)
    1688316922   ac_status=$?
    1688416923   cat conftest.err >&5
    16885    echo "$as_me:16885: \$? = $ac_status" >&5
     16924   echo "$as_me:16924: \$? = $ac_status" >&5
    1688616925   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688716926     # The compiler can only warn and ignore the option if not recognized
     
    1714717186   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1714817187   -e 's:$: $lt_compiler_flag:'`
    17149    (eval echo "\"\$as_me:17149: $lt_compile\"" >&5)
     17188   (eval echo "\"\$as_me:17188: $lt_compile\"" >&5)
    1715017189   (eval "$lt_compile" 2>conftest.err)
    1715117190   ac_status=$?
    1715217191   cat conftest.err >&5
    17153    echo "$as_me:17153: \$? = $ac_status" >&5
     17192   echo "$as_me:17192: \$? = $ac_status" >&5
    1715417193   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715517194     # The compiler can only warn and ignore the option if not recognized
     
    1725117290   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725217291   -e 's:$: $lt_compiler_flag:'`
    17253    (eval echo "\"\$as_me:17253: $lt_compile\"" >&5)
     17292   (eval echo "\"\$as_me:17292: $lt_compile\"" >&5)
    1725417293   (eval "$lt_compile" 2>out/conftest.err)
    1725517294   ac_status=$?
    1725617295   cat out/conftest.err >&5
    17257    echo "$as_me:17257: \$? = $ac_status" >&5
     17296   echo "$as_me:17296: \$? = $ac_status" >&5
    1725817297   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1725917298   then
     
    2041720456echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2041820457coin_link_input_cmd="$LN_S"
    20419 if test "$enable_doscompile" = mingw; then
    20420   coin_link_input_cmd=cp
    20421 fi
    2042220458case "$CC" in
    2042320459  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.